Delete Assets in Bulk
To delete more than one assets.
When you delete an asset, all the configuration data and reports related to the assets are also deleted.
HTTP Status Code
- 200: OK
- 400: Bad Request
- 401: Unauthorized user
- 403: Forbidden
- 503: Service Unavailable
Input ParametersInput Parameters
|
Parameter |
Mandatory /Optional |
Data Type |
Description |
|---|---|---|---|
| asset_uuid |
Mandatory |
Text |
Provide the UUID of the asset. |
Header ParametersHeader Parameters
|
Parameter |
Mandatory /Optional |
Data Type |
Description |
|---|---|---|---|
|
assetFlowType |
Optional |
Text |
Provide asset flow type. The default value is DEFAULT. |
| authorization | Mandatory | Text | The token that was generated using the Fetch Authentication Token API. |
Sample request body
{
" ""assetList":[
" ""4x5xx573-x145-4182-916x-x3997x9xx259",
" ""5xxxx860-25x1-4x8x-x336-8x20x6x163xx"" "
]
}
API Request
"curl -X DELETE""http://<api_gateway_url>/ocaapi/v2.0/asset/revoke/bulk""-H""assetFlowType: DEFAULT"" -H""Content-Type: application/json""-H""Authorization: Bearer <token>"" -H""Content-Type: text/plain""-d @request.json"
Response
{
" ""code":200,
" ""data":{
" ""items":{
" ""successfulRevoke":[
" ""4x5xx573-x145-4182-916x-x3997x9xx259",
"""5xxxx860-25x1-4x8x-x336-8x20x6x163xx"" "
],
" ""failedRevoke":[
]" "
}" "
}
}" "
}
}" "